!//////////////////////////////////////////////////////////////////////////
      subroutine frevec
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
!-------------------------------------
!     including restraint conditions
!-------------------------------------
!									nnd : Number of NoDe to be restrained
!									ndr : Number of DegRee of freedom to be restrained
!									nfr : Number in FReedom vector
!  -- initialize freedom vector
      do inode=1,2*nnode
      nfree(inode) = 0
      enddo
      do irest=1,nrest
      nnd = ndres(1,irest)
      ndr = ndres(2,irest)
    5 nfr = ndime*(nnd-1)+mod(ndr,10)
!  -- set 1 for retrained freedom 
      nfree(nfr) = 1
      ndr = int(ndr/10)
      if(ndr.gt.0) go to 5
      enddo
!  -- print out freedom vector
      write(2,201)
      write(2,203) (nfree(inode),inode=1,2*nnode)
!
!---------------------------------
!     generating freedom vector
!---------------------------------
!  -- numbering non-restrained freedom
      ndofm = 0
      do inode=1,2*nnode
      if(nfree(inode).eq.0) then
      ndofm = ndofm+1
      nfree(inode) = ndofm
      else
      nfree(inode) = 0
      endif
      enddo
!
!  -- print out freedom vector
      write(2,202)
      write(2,203) (nfree(inode),inode=1,2*nnode)
      write(2,204) ndofm
!
  201 format(/'==========================================='/&
            /1x,'* Freedom Vector *'/&
            /1x,'including restraint conitions')
  202 format(/1x,'numbering freedom vector')
  203 format(3x,12i5)
  204 format(/1x,'number of freedom =',i5)
!
      return
      end
!
