!//////////////////////////////////////////////////////////////////////////
      subroutine hmatfp( shapf, hmatx, hhmat )
!     [H] MATrix of FP
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
!	-- calculates shape function and their derivatives for 2-D element
!
      dimension shapf(6),hmatx(2,8),hhmat(8,8)
!
!  -- shape functions
!     h1, h2, h3, h4
      h1 = shapf(1)
      h2 = shapf(2)
      h3 = shapf(3)
      h4 = shapf(4)
!
!     [H] matrix
      do ivafp=1,2
      do jvafp=1,8
      hmatx(ivafp,jvafp) = 0.
      enddo
      enddo
      hmatx(1,1) = h1
      hmatx(1,3) = h2
      hmatx(1,5) = h3
      hmatx(1,7) = h4
      hmatx(2,2) = h1
      hmatx(2,4) = h2
      hmatx(2,6) = h3
      hmatx(2,8) = h4
!
!     [H]T[H] matrix
      do ivafp=1,nvafp
      do jvafp=1,nvafp
      hhmat(ivafp,jvafp) = 0.
      do istfp=1,2
      hhmat(ivafp,jvafp) = hhmat(ivafp,jvafp) +&
        hmatx(istfp,ivafp)*hmatx(istfp,jvafp)
      enddo
      enddo
      enddo
!
      return
      end    
!
