!//////////////////////////////////////////////////////////////////////////
      subroutine lineeq
!     solve LINEar EQuation
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
      dimension stif(ndof0*(ndof0+1)/2+1),dvec(ndof0)
!   +-----------------------------------------------+
!     stif : STIFfness matrix
!     dvec : Dummy load & displacement VECtor
!   +-----------------------------------------------+
!
      do istif=1,nstif
      stif(istif) = gstif(istif)
      enddo
!
!  -- linear equation solver
!
!     {f} = [K] {d} 
!
      do idofm=1,ndofm
      dvec(idofm) = dfnod(idofm)
      enddo
!
!     ====================================================
      ncol = 1
      call colsol(stif,dvec,mdiag,ndofm,nstif,ndofm+1,ncol)
      ncol = 2
      call colsol(stif,dvec,mdiag,ndofm,nstif,ndofm+1,ncol)
!     ====================================================
!
      do idofm=1,ndofm
      ddnod(idofm) = dvec(idofm)
      enddo
!
      return
      end
!
