!//////////////////////////////////////////////////////////////////////////
      subroutine locmfp
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
      dimension ndir(8),nnord(8)
!
!               ndir  : Number of DIRections of Truss
!               nnord : Number of Node ORDer
!
!      directions of member end displacement
!
!                           2------1
!                           |      |
!                           |      |
!                           3------4
!
!         plate :     {Ux1,Uy1,Ux2,Uy2,Ux3,Uy3,Ux4,Uy4}
!                    ={1  ,2  ,1  ,2  ,1  ,2  ,1  ,2  }
!         node order
!                    ={1  ,1  ,2  ,2  ,3  ,3  ,4  ,4  }
!
      data ndir/1,2,1,2,1,2,1,2/
      data nnord/1,1,2,2,3,3,4,4/
!
      write(2,201)
  201 format(/1x,'* Location Matrix *')
!
      do ielfp=1,nelfp
!
      kval = 0
      do ivafp=1,nvafp
!
      nod = nodfp(nnord(ivafp),ielfp)
      ndr = ndir(ivafp)
      nfr = ndime*(nod-1)+ndr
!
      lomfp(ivafp,ielfp) = nfree(nfr)
!
      enddo
!
      write(2,202) ielfp,nvafp
      write(2,203) (lomfp(ivafp,ielfp),ivafp=1,nvafp)
  202 format(/1x,'Fem Plate No.',i3,3x,'Number of variables =',i2)
  203 format(3x,10i5)
!
      enddo
!
      return
      end
!
