!====================================================
      subroutine mmult3(abc,ab,a,b,c,&
                         n1,n2,n3,n4)
!====================================================
      implicit real*8(a-h,o-z)
!
      dimension abc(n1,n4),ab(n1,n3),&
                 a(n1,n2),b(n2,n3),c(n3,n4)
!
!  -- AB = A*B --
      do j=1,n3
      do i=1,n1
      ab(i,j) = 0.
      enddo
      do k=1,n2
      do i=1,n1
      ab(i,j) = ab(i,j)+a(i,k)*b(k,j)
      enddo
      enddo
      enddo
!
!  -- ABC = AB*C --
      do j=1,n4
      do i=1,n1
      abc(i,j) = 0.
      enddo
      do k=1,n3
      do i=1,n1
      abc(i,j) = abc(i,j)+ab(i,k)*c(k,j)
      enddo
      enddo
      enddo
!
      return
      end
!
