!//////////////////////////////////////////////////////////////////////////
      subroutine prinfp(kgaus,lelfp)
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
      pai = 3.1415926535898
!
!  -- stress at Gauss point
      sp = (stsfp(1,kgaus,lelfp)+stsfp(2,kgaus,lelfp))/2.0
      sm = (stsfp(1,kgaus,lelfp)-stsfp(2,kgaus,lelfp))/2.0
      st = stsfp(3,kgaus,lelfp)
      ss = sqrt(sm*sm+st*st)
!
!  -- principal stress
      prnfp(1,kgaus,lelfp) = sp+ss
      prnfp(2,kgaus,lelfp) = sp-ss
      if( abs(sm).lt.0.1e-30 .and. sm.gt.0.0 ) sm = 0.1e-30
      if( abs(sm).le.0.1e-30 .and. sm.lt.0.0 ) sm = -0.1e-30
      if( abs(st).le.0.1e-30 ) then
      prnfp(3,kgaus,lelfp) = 0.
      else
!
!  -- angle
!     angle
      theta = 0.5*atan(st/sm)
      if(sm.lt.0.0) then
      if(st.gt.0.0) theta = 0.5*pai-abs(theta)
      if(st.lt.0.0) theta = theta-0.5*pai
      endif
      prnfp(3,kgaus,lelfp) = theta
      endif
!
      return
      end
!
