!//////////////////////////////////////////////////////////////////////////
      subroutine stload
!     STatic LOAD
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
! --  generate the global load vector
!
!     -- store static load in global load vector
      do inode=1,2*nnode
      dload(inode) = 0.
      enddo
!
!     -- calculate load at independent freedom
      do ilodn=1,nlodn
      inod = nnlod(ilodn)
      do idime=1,ndime
      dload(ndime*(inod-1)+idime) = pload(idime,ilodn)
      enddo
      enddo
!
      do inode=1,2*nnode
      nfr = nfree(inode)
      if(nfr.ne.0) then
      dfnod(nfr) = dload(inode)
      endif
      enddo
!
      write(2,201)
      do idofm=1,ndofm
      write(2,202) idofm, dfnod(idofm)
      enddo
!
 201  format(/1x,'* Static Load *'/&
            /1x,'freedom        load')
 202  format(3x,i5,2x,e10.3)
!
      return
      end
!
