!//////////////////////////////////////////////////////////////////////////
	subroutine gausfp
!	-- factors for Gauss points
!//////////////////////////////////////////////////////////////////////////
	include 'param.h'
	include 'comst.h'
!
!	-- position and weighting factor of Gauss point
!              posgp : POSition of Gauss Point
!              weigp : WEIghting factor of Gauss Point
!        ( ngaus = 3 )
!
      posgp(1) = -sqrt(0.6)
      posgp(2) = 0.0
      posgp(3) = -posgp(1)
      weigp(1) = 5.0/9.0
      weigp(2) = 8.0/9.0
      weigp(3) = 5.0/9.0
!
      write(2,201)
      write(2,202) ngaus
      do igaus=1,ngaus
      write(2,203) igaus,posgp(igaus),weigp(igaus)
      enddo
  201 format(/1x,'* Gauss Point *')
  202 format(/'(number of Gauss points = ',i1,' )'/&
            '                 position    weighting factor')
  203 format(i5,2f20.15)
      return
      end
!
