!//////////////////////////////////////////////////////////////////////////
      subroutine gmatfp
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
      dimension gmas(ndof0*(ndof0+1)/2+1)
!
      do istif=1,nstif
	  gmas(istif) = 0.
	  enddo
!
!  -- loop over each element --
!
      do ielfp=1,nelfp
      lelfp = ielfp
!
!     -- store the element stiffness
!
!     -- create ELement MaTrix of FP
!     =======================
      call elmtfp(lelfp)
!     =======================
!
!     -- ADD element stiffness MATrix into global stiffness matrix
!     ================================================================
      call addmat(nefp0,lelfp,nvafp,lomfp,estfp(1,1,lelfp),gstif(1))
!     ================================================================
!
!     -- ADD element mass MATrix into global mass matrix
!     ================================================================
      call addmat(nefp0,lelfp,nvafp,lomfp,emsfp(1,1,lelfp),gmas(1))
!     ================================================================
!
!     -- ADD element weight VECtor into global force vector
!     ================================================================
      call addvec(lelfp)
!     ================================================================
      enddo
!
!  -- constructing mass matrix
      do idofm=1,ndofm
      istif=mdiag(idofm)
	  gmass(idofm) = gmas(istif)
	  enddo
!
!	----------------------------------------------------------
!      write(2,201)
!      do istif=1,nstif
!      write(2,203) istif,gstif(istif)
!      enddo
!      write(2,202)
!      do idofm=1,ndofm
!      write(2,203) idofm,gmass(idofm)
!      enddo
!  201 format(/4x,'total stiffness')
!  202 format(/4x,'     total mass')
!  203 format(i5,2x,e12.3)
!	----------------------------------------------------------
!
      return
      end
!
