!//////////////////////////////////////////////////////////////////////////
      subroutine incomp( stfuu, stfua, stfau, stfaa, lelfp )
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
      dimension stfuu(8,8),stfua(8,4),stfau(4,8),stfaa(4,4)
      dimension wkm1(4,4),wkm2(8,4),wkm3(8,8)
      dimension wkv1(4),wkv2(4),wkv3(4)
!
!     (nvafp = 8, nstfp = 3, ncomp = 4)
!
!     -- inverse matrix of Kaa
      do icomp=1,ncomp
      do jcomp=1,ncomp
      wkm1(icomp,jcomp) = stfaa(icomp,jcomp)
      enddo
      enddo
!
      eps = 1.e-30
      call ldinv(wkm1,ncomp,ncomp,eps,wkv1,wkv2,wkv3,ierr)
      do jcomp=2,ncomp
      do icomp=1,jcomp-1
      wkm1(icomp,jcomp) = wkm1(jcomp,icomp)
      enddo
      enddo
!
!     Kaa-1 Kau
      call mmult2(trmau(1,1,lelfp),wkm1,stfau,&
           ncomp,ncomp,nvafp)
!
!     Kua Kaa-1 Kau
      call mmult3(wkm3,wkm2,stfua,wkm1,stfau,&
           nvafp,ncomp,ncomp,nvafp)
!
!     Element stiffness matrix
      if(idfem.eq.1) then    
!     K = Kuu
      do ivafp=1,nvafp
      do jvafp=1,nvafp
      estfp(ivafp,jvafp,lelfp) = stfuu(ivafp,jvafp)
      enddo
      enddo
      else if(idfem.eq.2) then
!     K = Kuu - Kua Kaa-1 Kau
      do ivafp=1,nvafp
      do jvafp=1,nvafp
      estfp(ivafp,jvafp,lelfp) = stfuu(ivafp,jvafp) - wkm3(ivafp,jvafp)
      enddo
      enddo
      endif
!
      return
      end
!
