!//////////////////////////////////////////////////////////////////////////
      subroutine intres
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
      dimension sforc(ndof0)
!
!  -- initial conditions
!
!  -- INiTialize global response Variables for STructure
!     ===============
      call intvst
!     ===============
!
!  -- INiTialize response Variables for Finite Plate
!     ===============
      call intvfp
!     ===============
!
!	-- Global MATrix of Fem Plate
!     ===============
      call gmatfp
!     ===============
!
!	-- calculate natural PERIOD and mode shape
!     ===============
      call period
!     ===============
!
!     -- solve a LINEar EQuation by skyline method
!     =================
      call lineeq
!     =================
!
      do idofm=1,ndofm
      dnode(idofm) = ddnod(idofm)
      fnode(idofm) = dfnod(idofm)
      enddo
!
!  -- CHEcK stress-strain of Fem Plate
!     =================
      call chekfp
!     =================
!
!  -- from STRess to FORce vector
!     ======================
      call strfor( sforc )
!     ======================
!
      return
      end
!
