!//////////////////////////////////////////////////////////////////////////
      subroutine skyprm
!//////////////////////////////////////////////////////////////////////////
      include 'param.h'
      include 'comst.h'
!
!              mhigh : Matrix of skyline HIGHt
!              mdiag : Matrix of DIAGonal element number
!              nstif : Number of elements in STIFfness matrix
!              ndiag : Number of DIAGonal elements
!
!  -- set initial skyline hight to be zero
!
      do idofm=1,ndof0
      mhigh(idofm) = 0
      enddo
!
!  -- calculate skyline height from element location matrices
!
!     -- FEM plate
      call skymat(nefp0,nelfp,lomfp,nvafp)
!
!  -- calculate addresses of diagonal elements
!
      ndiag=ndofm+1
      do idiag=1,ndof0+1
      mdiag(idiag)=0
      enddo
      mdiag(1)=1
      mdiag(2)=2
      if(ndofm.ne.1) then
      do idofm=2,ndofm
      mdiag(idofm+1)=mdiag(idofm)+mhigh(idofm)+1
      enddo
      end if
!
!  -- calculate band width
      nstif=mdiag(ndiag)-mdiag(1)
      nband = 0
      do idiag=1,ndiag
      if(mhigh(idiag).gt.nband) nband = mhigh(idiag)
      enddo
!
      write(2,201)
      write(2,202) ndiag,nstif,nband
      write(2,*) '--- mhigh ---'
      write(2,203) (mhigh(idofm),idofm=1,ndofm)
      write(2,*) '--- mdiag ---'
      write(2,203) (mdiag(idofm),idofm=1,ndofm+1)
!
  201 format(/1x,'* Skyline Parameters *')
  202 format(/1x,'number of diagonal element (+1)    :',i5&
            /1x,'number of stiffness matrix element :',i5&
            /1x,'band width                         :',i5)
  203 format(2x,12i10)
!
      return
      end
!
